#pragma once
#include "MainWnd.h"
#include "OriginalWnd/OriginalWnd.h"
#include <QApplication>
#include <QFile>
#include <QSqlDatabase>
#include <QSqlError>
#include <QDebug>
#include <QDir>
int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    // 获取构建目录路径
    QString buildDirPath = QCoreApplication::applicationDirPath();
    QDir buildDirectory(buildDirPath);

    qDebug() << "构建目录路径:" << buildDirPath;
    // 构造目标数据库文件路径
    QString destDbPath = buildDirectory.filePath("configurations.db");
    qDebug() << "目标数据库路径:" << destDbPath;

    // 检查文件是否存在
    QFile databaseFile(destDbPath);
    if (!databaseFile.exists()) {
        qDebug() << "数据库文件不存在:" << destDbPath;
        return -1;
    }

    // 创建数据库连接
    QSqlDatabase db = QSqlDatabase::addDatabase("QSQLITE");
    db.setDatabaseName(destDbPath);

    if (!db.open()) {
        qDebug() << "数据库打开失败:" << db.lastError().text();
        return -1;
    } else {
        qDebug() << "数据库加载成功!";
    }

    QFile qssFile(":/light.qss");
    if(qssFile.open(QFile::ReadOnly)){
        //a.setStyleSheet(qssFile.readAll());
        QString qssContent = qssFile.readAll();
        a.setStyleSheet(qssContent);
    }
    qssFile.close();

    MainWnd w;
    w.show();
    return a.exec();
}
